=== debian/changelog ===
simgear (1:2018.3.2+dfsg-5) unstable; urgency=medium

  * Fix HTTP redirect handling.
    Otherwise, the live weather feature in flightgear will not work.
    Both patches are cherry-picks from upstream's git repository.
    (Closes: #921598)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 17 Feb 2019 20:29:06 +0100

simgear (1:2018.3.2+dfsg-4) unstable; urgency=medium

  * Add necessary #includes for the patch ...

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 04 Feb 2019 14:15:59 +0100

simgear (1:2018.3.2+dfsg-3) unstable; urgency=medium

  * Rewrite patch so that it gets actually applied on armel and armhf

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 04 Feb 2019 12:58:25 +0100

simgear (1:2018.3.2+dfsg-2) unstable; urgency=medium

  * Add new patch to fix FTBFS on armel and armhf

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 03 Feb 2019 17:19:01 +0100

simgear (1:2018.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.3.2+dfsg
    - Refresh patches
  * Use debhelper-compat (= 12)
  * Update to Standards-Version to 4.3.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 02 Feb 2019 00:19:04 +0100
