## simgear 2019.1.1+dfsg

=== simgear/debug/CMakeLists.txt ===

include (SimGearComponent)

set(HEADERS debug_types.h logstream.hxx BufferedLogCallback.hxx OsgIoCapture.hxx)
set(SOURCES logstream.cxx BufferedLogCallback.cxx)

simgear_component(debug debug "${SOURCES}" "${HEADERS}")
