=== debian/changelog ===
simgear (1:2019.1.1+dfsg-3ubuntu0.1~esm1) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary code execution
    - debian/patches/CVE-2025-0781.patch: Remove the from_nasal_helper()
      for SGPath
    - CVE-2025-0781
  * debian/rules: Fix FTBFS due to boost tests by skipping tests with 
    -DENABLE_TESTS=OFF

 -- John Breton <john.breton@canonical.com>  Tue, 13 Jan 2026 14:30:47 -0500

simgear (1:2019.1.1+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Alberto Luaces <aluaces@udc.es> ]
  * Use the main openscenegraph instead of old openscenegraph-3.4, scheduled
    for removal (Closes: #944526)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Nov 2019 09:01:57 +0100

simgear (1:2019.1.1+dfsg-2) unstable; urgency=medium

  * Add patch to fix another FTBFS on armel and armhf

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 10 Aug 2019 13:18:49 +0200

simgear (1:2019.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2019.1.1+dfsg
    - Drop three patches that have been applied upstream
    - Refresh remaining patches
  * Update to Standards-Version 4.4.0, no changes needed
  * Remove obsolete Replaces and Breaks
  * Remove obsolete versioned Build-Depends
  * Rename License shortkey in d/copyright from MIT to Expat
  * Update d/copyright
  * Apply remaining fixes from cme fix dpkg

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 09 Aug 2019 17:43:54 +0200
