=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,8 @@
 
 CMAKE_FLAGS = \
 	-DCMAKE_BUILD_TYPE="RelWithDebInfo" \
-	-DCMAKE_C_FLAGS="$(CFLAGS)" \
-	-DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
+	-DCMAKE_C_FLAGS="$(CFLAGS) -I$(CURDIR)/build" \
+	-DCMAKE_CXX_FLAGS="$(CXXFLAGS) -I$(CURDIR)/build" \
 	-DCMAKE_CXX_FLAGS_RELWITHDEBINFO="-g -DNDEBUG" \
 	-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
 	-DCMAKE_VERBOSE_MAKEFILE=ON \
@@ -37,7 +37,8 @@
 	-DSIMGEAR_SHARED=OFF \
 	-DSYSTEM_EXPAT=ON \
 	-DSYSTEM_UDNS=ON \
-	-DENABLE_DNS=ON
+	-DENABLE_DNS=ON \
+	-DENABLE_TESTS=OFF
 
 %:
 	dh $@ --buildsystem=cmake --builddirectory=build
