## simgear 2020.1.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,9 @@
    endif()
    if(POLICY CMP0067)
        cmake_policy(SET CMP0067 NEW)
+   endif()
+   if(POLICY CMP0093)
+       cmake_policy(SET CMP0093 NEW)
    endif()
 endif()
 
@@ -134,6 +137,7 @@
 endif()
 
 include (DetectArch)
+include (ExportDebugSymbols)
 
 # until the fstream fix is applied and generally available in OSG,
 # keep the compatability link option as the default
@@ -150,7 +154,7 @@
 
 
 if (MSVC)
-  GET_FILENAME_COMPONENT(PARENT_DIR ${PROJECT_BINARY_DIR} PATH)
+  GET_FILENAME_COMPONENT(PARENT_DIR ${PROJECT_BINARY_DIR} DIRECTORY)
   if (CMAKE_CL_64)
     SET(TEST_3RDPARTY_DIR "${PARENT_DIR}/3rdparty.x64")
   else (CMAKE_CL_64)
@@ -161,6 +165,11 @@
   else (EXISTS ${TEST_3RDPARTY_DIR})
     set(MSVC_3RDPARTY_ROOT NOT_FOUND CACHE PATH "Location where the third-party dependencies are extracted")
   endif (EXISTS ${TEST_3RDPARTY_DIR})
+
+  # override CMake default RelWithDebInfo flags. This is important to ensure
+  # good performance
+  set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "/Zi /O2 /Ob2 /D NDEBUG")
+  set(CMAKE_C_FLAGS_RELWITHDEBINFO "/Zi /O2 /Ob2 /D NDEBUG")
 else (MSVC)
   set(MSVC_3RDPARTY_ROOT NOT_FOUND CACHE PATH "Location where the third-party dependencies are extracted")
 endif (MSVC)
@@ -173,15 +182,17 @@
 
   set( OSG_MSVC "msvc" )
   if (${MSVC_VERSION_MAJOR} EQUAL "19")
-    if (${MSVC_VERSION_MINOR} EQUAL "00")
+    if (${MSVC_VERSION_MINOR} GREATER_EQUAL "20")
+      set( OSG_MSVC ${OSG_MSVC}142 )
+    elseif (${MSVC_VERSION_MINOR} GREATER_EQUAL "10")
+      set( OSG_MSVC ${OSG_MSVC}141 )
+    else ()
       set( OSG_MSVC ${OSG_MSVC}140 )
-    else ()
-      set( OSG_MSVC ${OSG_MSVC}141 )
     endif ()
   elseif (${MSVC_VERSION_MAJOR} EQUAL "18")
     set( OSG_MSVC ${OSG_MSVC}120 )
   else ()
-    message(FATAL_ERROR "Visual Studio 2013/15/17 is required")
+    message(FATAL_ERROR "Visual Studio 2013 or higher is required")
   endif ()
 
   if (CMAKE_CL_64)
@@ -198,7 +209,7 @@
     # if this variable was not set by the user, set it to 3rdparty root's
     # parent dir, which is the normal location for people using our
     # windows-3rd-party repo
-    GET_FILENAME_COMPONENT(MSVC_ROOT_PARENT_DIR ${MSVC_3RDPARTY_ROOT} PATH)
+    get_filename_component(MSVC_ROOT_PARENT_DIR ${MSVC_3RDPARTY_ROOT} DIRECTORY)
     set(BOOST_INCLUDEDIR ${MSVC_ROOT_PARENT_DIR})
     message(STATUS "BOOST_INCLUDEDIR is ${BOOST_INCLUDEDIR}")
   endif()
@@ -271,9 +282,6 @@
 
 else()
     message(STATUS "Using built-in expat code")
-    # XML_STATIC is important to avoid sg_expat_external.h
-    # declaring symbols as declspec(import)
-    add_definitions(-DHAVE_EXPAT_CONFIG_H -DXML_STATIC)
     set(EXPAT_INCLUDE_DIRS
             ${PROJECT_SOURCE_DIR}/3rdparty/expat
             ${PROJECT_BINARY_DIR}/3rdparty/expat)
@@ -292,24 +300,12 @@
 if(ENABLE_RTI)
     find_package(PkgConfig)
     if(PKG_CONFIG_FOUND)
-      SET(ENV{PKG_CONFIG_PATH} "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig:$ENV{PKG_CONFIG_PATH}")
+      SET(ENV{PKG_CONFIG_PATH} "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/pkgconfig:$ENV{PKG_CONFIG_PATH}")
       pkg_check_modules(RTI hla-rti13)
     endif(PKG_CONFIG_FOUND)
     if(RTI_FOUND)
-      SET(RTI_INCLUDE_DIR "${RTI_INCLUDE_DIRS}")
       message(STATUS "RTI: ENABLED")
     else()
       message(STATUS "RTI: DISABLED")
     endif(RTI_FOUND)
 else()
-    message(STATUS "RTI: DISABLED")
-endif(ENABLE_RTI)
-
-if(ENABLE_GDAL)
-    find_package(GDAL 2.0.0 REQUIRED)
-    if (GDAL_FOUND)
-        include_directories(${GDAL_INCLUDE_DIR})
-    endif(GDAL_FOUND)
-endif(ENABLE_GDAL)
-
-check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
