=== simgear/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
         bvh
         debug
         embedded_resources
+        emesary
         ephemeris
         io
         magvar
@@ -64,6 +65,9 @@
         set_property(TARGET SimGearScene PROPERTY VERSION   ${SIMGEAR_VERSION})
         set_property(TARGET SimGearScene PROPERTY SOVERSION ${SIMGEAR_SOVERSION})
     endif()
+
+    export_debug_symbols(SimGearCore)
+    export_debug_symbols(SimGearScene)
 else()
     message(STATUS "Library building mode: STATIC LIBRARIES")
 
@@ -114,10 +118,21 @@
     $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
     $<INSTALL_INTERFACE:include>)
 
+# so simgear/simgear_config.h is found
+target_include_directories(SimGearCore BEFORE PUBLIC
+    $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>
+    $<INSTALL_INTERFACE:include>)
+
 target_include_directories(SimGearCore PUBLIC
   ${Boost_INCLUDE_DIRS} ${ZLIB_INCLUDE_DIR})
 target_include_directories(SimGearCore PRIVATE
   ${EXPAT_INCLUDE_DIRS} ${CURL_INCLUDE_DIRS})
+
+if (NOT SYSTEM_EXPAT)
+    # XML_STATIC is important to avoid sg_expat_external.h
+    # declaring symbols as declspec(import)
+    target_compile_definitions(SimGearCore PRIVATE HAVE_SIMGEAR_EXPAT_CONFIG_H XML_STATIC)
+endif()
 
     install(TARGETS SimGearCore
             EXPORT SimGearTargets
@@ -143,9 +158,10 @@
     endif()
 endif()
 
-
-target_link_libraries(SimGearCore
-    ${ZLIB_LIBRARY}
+# we expose ZLib in some of our headers
+target_link_libraries(SimGearCore PUBLIC ${ZLIB_LIBRARY})
+
+target_link_libraries(SimGearCore PRIVATE
     ${RT_LIBRARY}
     ${DL_LIBRARY}
     ${CMAKE_THREAD_LIBS_INIT}
@@ -154,29 +170,29 @@
     ${WINSOCK_LIBRARY})
 
 if(SYSTEM_EXPAT)
-    target_link_libraries(SimGearCore
-        ${EXPAT_LIBRARIES})
+    target_link_libraries(SimGearCore PRIVATE ${EXPAT_LIBRARIES})
 endif()
 
 if(ENABLE_DNS AND SYSTEM_UDNS)
-    target_link_libraries(SimGearCore
-        ${UDNS_LIBRARIES})
+    target_link_libraries(SimGearCore PRIVATE ${UDNS_LIBRARIES})
 endif()
 
 if(NOT SIMGEAR_HEADLESS)
     target_include_directories(SimGearScene PRIVATE ${PROJECT_SOURCE_DIR}/simgear/canvas/ShivaVG/include)
 
-    target_link_libraries(SimGearScene
+    target_link_libraries(SimGearScene PUBLIC         
         SimGearCore
+        ${OPENSCENEGRAPH_LIBRARIES}
+    )
+
+    target_link_libraries(SimGearScene PRIVATE
         ${ZLIB_LIBRARY}
-        ${OPENSCENEGRAPH_LIBRARIES}
         ${OPENAL_LIBRARY}
         ${OPENGL_LIBRARY}
         ${JPEG_LIBRARY})
 
     if(ENABLE_GDAL)
-        target_link_libraries(SimGearScene
-            ${GDAL_LIBRARIES})
+        target_link_libraries(SimGearScene PRIVATE ${GDAL_LIBRARIES})
     endif()
 
     # only actually needed by canvas/KeyboardEvent.cxx
@@ -188,5 +204,5 @@
     set_property(SOURCE hla/RTI13InteractionClass.cxx hla/RTI13ObjectClass.cxx
         hla/RTI13ObjectInstance.cxx hla/RTI13Federate.cxx
         hla/RTI13FederateFactory.cxx
-        APPEND PROPERTY COMPILE_FLAGS "-I${RTI_INCLUDE_DIR}")
+        APPEND PROPERTY COMPILE_FLAGS "-I${RTI_INCLUDE_DIRS}")
 endif(ENABLE_RTI)
