=== debian/changelog ===
simgear (1:2020.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.1.2+dfsg
    - Fixes FTBFS with boost 1.71. Closes: #960424
    - Refresh patches
  * Use debhelper-compat 13
  * Update Standards-Version to 4.5.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 16 Jun 2020 14:43:20 +0200
