## simgear 2020.1.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -227,7 +227,7 @@
 endif()
 
 find_package(Boost REQUIRED)
-set (BOOST_CXX_FLAGS "-DBOOST_BIMAP_DISABLE_SERIALIZATION")
+set (BOOST_CXX_FLAGS "-DBOOST_BIMAP_DISABLE_SERIALIZATION -DBOOST_NO_STDLIB_CONFIG")
 include(BoostTestTargets)
 
 if(SIMGEAR_HEADLESS)
