=== debian/changelog ===
simgear (1:2020.1.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.1.3+dfsg
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 12 Jul 2020 16:44:06 +0200
