=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: simgear
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian FlightGear Crew <team+flightgear@tracker.debian.org>
+Maintainer: Debian FlightGear Crew <team+flightgear@tracker.debian.org>
 Uploaders: Ove Kaaven <ovek@arcticnet.no>,
            Markus Wanner <markus@bluegap.ch>,
            Dr. Tobias Quathamer <toddy@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libboost-dev,
                libcurl4-gnutls-dev,
                libexpat1-dev,
@@ -19,7 +18,7 @@
                libutfcpp-dev,
                netbase,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://home.flightgear.org/
 Vcs-Browser: https://salsa.debian.org/debian/simgear
 Vcs-Git: https://salsa.debian.org/debian/simgear.git
