=== debian/changelog ===
simgear (1:2020.3.4+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake. (Closes: #964997)

  [ Dr. Tobias Quathamer ]
  * New upstream version 2020.3.4+dfsg
    - Refresh patches
  * Update Standards-Version to 4.5.1, no changes needed
  * Use Rules-Requires-Root: no
  * Remove unneeded target 'get-orig-source' from d/rules
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 08 Dec 2020 12:12:44 +0100
