## simgear 2020.3.5+dfsg

=== debian/changelog ===
simgear (1:2020.3.5+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.3.5+dfsg
  * Add patch fix-ftbfs-split_iterator.patch
    - Fixes FTBFS. Closes: #978058

 -- Markus Wanner <markus@bluegap.ch>  Sat, 26 Dec 2020 21:58:34 +0100
